	.module main.c
	.area data(ram, con, rel)
_RTC_address::
	.blkb 1
	.area idata
	.byte 104
	.area data(ram, con, rel)
	.dbfile ./main.c
	.dbsym e RTC_address _RTC_address c
	.area lit(rom, con, rel)
_RTC_Write_Buf::
	.byte 0,0
	.byte 0,18
	.byte 1,4
	.byte 7,8
	.byte 144
	.dbsym e RTC_Write_Buf _RTC_Write_Buf A[9:9]c
	.area data(ram, con, rel)
	.dbfile ./main.c
_Day_Of_Week::
	.blkw 1
	.area idata
	.word L1
	.area data(ram, con, rel)
	.dbfile ./main.c
	.blkw 1
	.area idata
	.word L2
	.area data(ram, con, rel)
	.dbfile ./main.c
	.blkw 1
	.area idata
	.word L3
	.area data(ram, con, rel)
	.dbfile ./main.c
	.blkw 1
	.area idata
	.word L4
	.area data(ram, con, rel)
	.dbfile ./main.c
	.blkw 1
	.area idata
	.word L5
	.area data(ram, con, rel)
	.dbfile ./main.c
	.blkw 1
	.area idata
	.word L6
	.area data(ram, con, rel)
	.dbfile ./main.c
	.blkw 1
	.area idata
	.word L7
	.area data(ram, con, rel)
	.dbfile ./main.c
	.dbsym e Day_Of_Week _Day_Of_Week A[14:7]pc
	.area text(rom, con, rel)
	.dbfile ./main.c
	.dbfunc e main _main fV
;              i -> X+1
;         status -> X+0
_main::
	.dbline -1
	push X
	mov X,SP
	add SP,2
	.dbline 36
; //-----------------------------------------------------------------------  
; // Sample C code to communicate with the Maxim/Dallas DS1307 clock/EEROM  
; // via the I2C interface(I2Cm).    
; //
; // P1[6]:I2Cm_SCL:Pull Up To Vdd(2.7k[Ohm])
; // P1[4]:I2Cm_SDA:Pull Up To Vdd(2.7k[Ohm])
; //       
; // The address of the DS1307 is 0x68.
; //
; //
; // This source code is evaluation only
; //-----------------------------------------------------------------------  
; #include <m8c.h>        // part specific constants and macros  
; #include "PSoCAPI.h"    // PSoC API definitions for all User Modules
; 
; /*Set This Area By User... You can use other RTCs*/
; 
; 
; unsigned char RTC_address = 0x68;
;   
; BYTE RTC_Receive_Buf[8];
; 
; const BYTE RTC_Write_Buf[9] = {0b00000000, //sub_address,
; 						 	   0b00000000, //second,
; 						 	   0b00000000, //minute,
; 						 	   0b00010010, //hour,
;                          	   0b00000001, //day_of_week,
;                          	   0b00000100, //day,
;                          	   0b00000111, //month,
;                          	   0b00001000, //year,
;                          	   0b10010000};//control	       
; 
; const	char*	Day_Of_Week[] = {"Sun","Mon","Tue","Wed","Thr","Fri","Sat"};
;    
; void main()  
; {  
	.dbline 37
;     BYTE status = 0;  
	mov [X+0],0
	.dbline 39
;     unsigned char i; 
;     LCD_Start();
	push X
	xcall _LCD_Start
	.dbline 40
;     I2Cm_Start();
	xcall _I2Cm_Start
	pop X
	xjmp L10
L9:
	.dbline 42
	.dbline 43
	push X
	mov A,0
	push A
	mov A,9
	push A
	mov A,>_RTC_Write_Buf
	push A
	mov A,<_RTC_Write_Buf
	push A
	mov A,[_RTC_address]
	push A
	xcall _I2Cm_bWriteCBytes
	add SP,-5
	pop X
	mov [X+0],A
	.dbline 44
L10:
	.dbline 41
;     while(!status)
	cmp [X+0],0
	jz L9
	xjmp L13
L12:
	.dbline 46
;     { 
;     	status = I2Cm_bWriteCBytes(RTC_address,RTC_Write_Buf,9,I2Cm_CompleteXfer);
;     }  
;     while(1)
;     {
	.dbline 47
;     	I2Cm_bWriteCBytes(RTC_address,RTC_Write_Buf,1,I2Cm_NoStop );   
	push X
	mov A,2
	push A
	mov A,1
	push A
	mov A,>_RTC_Write_Buf
	push A
	mov A,<_RTC_Write_Buf
	push A
	mov A,[_RTC_address]
	push A
	xcall _I2Cm_bWriteCBytes
	add SP,-5
	.dbline 48
;         status = I2Cm_fReadBytes(RTC_address,RTC_Receive_Buf,7,I2Cm_RepStart );
	mov A,1
	push A
	mov A,7
	push A
	mov A,>_RTC_Receive_Buf
	push A
	mov A,<_RTC_Receive_Buf
	push A
	mov A,[_RTC_address]
	push A
	xcall _I2Cm_fReadBytes
	add SP,-5
	pop X
	mov [X+0],A
	.dbline 49
;         I2Cm_SendStop(); 
	push X
	xcall _I2Cm_SendStop
	.dbline 50
;         LCD_Position(0,0);
	mov A,0
	mov X,A
	xcall _LCD_Position
	.dbline 51
; 		LCD_PrHexByte(RTC_Receive_Buf[2]); //second
	mov A,[_RTC_Receive_Buf+2]
	xcall _LCD_PrHexByte
	.dbline 52
; 		LCD_PrCString(":");
	mov A,>L16
	push A
	mov A,<L16
	mov X,A
	pop A
	xcall _LCD_PrCString
	.dbline 53
;         LCD_PrHexByte(RTC_Receive_Buf[1]); //minute
	mov A,[_RTC_Receive_Buf+1]
	xcall _LCD_PrHexByte
	.dbline 54
; 		LCD_PrCString(":");
	mov A,>L16
	push A
	mov A,<L16
	mov X,A
	pop A
	xcall _LCD_PrCString
	.dbline 55
;         LCD_PrHexByte(RTC_Receive_Buf[0]); //hour
	mov A,[_RTC_Receive_Buf]
	xcall _LCD_PrHexByte
	.dbline 56
; 		LCD_PrCString(":");
	mov A,>L16
	push A
	mov A,<L16
	mov X,A
	pop A
	xcall _LCD_PrCString
	.dbline 57
; 		LCD_Position(1,0);
	mov X,0
	mov A,1
	xcall _LCD_Position
	.dbline 58
; 		LCD_PrHexByte(RTC_Receive_Buf[6]); //second
	mov A,[_RTC_Receive_Buf+6]
	xcall _LCD_PrHexByte
	.dbline 59
; 		LCD_PrCString(":");
	mov A,>L16
	push A
	mov A,<L16
	mov X,A
	pop A
	xcall _LCD_PrCString
	.dbline 60
;         LCD_PrHexByte(RTC_Receive_Buf[5]); //minute
	mov A,[_RTC_Receive_Buf+5]
	xcall _LCD_PrHexByte
	.dbline 61
; 		LCD_PrCString(":");
	mov A,>L16
	push A
	mov A,<L16
	mov X,A
	pop A
	xcall _LCD_PrCString
	.dbline 62
;         LCD_PrHexByte(RTC_Receive_Buf[4]); //hour
	mov A,[_RTC_Receive_Buf+4]
	xcall _LCD_PrHexByte
	.dbline 63
;         LCD_PrCString(":");
	mov A,>L16
	push A
	mov A,<L16
	mov X,A
	pop A
	xcall _LCD_PrCString
	pop X
	.dbline 64
;         LCD_PrCString(Day_Of_Week[(RTC_Receive_Buf[3])]); //hour
	mov [__r1],[_RTC_Receive_Buf+3]
	mov [__r0],0
	asl [__r1]
	rlc [__r0]
	add [__r1],<_Day_Of_Week
	adc [__r0],>_Day_Of_Week
	mvi A,[__r1]
	mov [__r0],A
	mvi A,[__r1]
	mov [__r1],A
	push X
	mov A,[__r0]
	push A
	mov A,[__r1]
	mov X,A
	pop A
	xcall _LCD_PrCString
	pop X
	.dbline 66
;             
;         if(!status) 
	cmp [X+0],0
	jnz L22
	.dbline 67
;         {  
	.dbline 68
;         	LCD_Init();
	push X
	xcall _LCD_Init
	.dbline 69
;         	LCD_Position(0,0);
	mov A,0
	mov X,A
	xcall _LCD_Position
	.dbline 70
;         	LCD_PrCString("Fail!");  
	mov A,>L24
	push A
	mov A,<L24
	mov X,A
	pop A
	xcall _LCD_PrCString
	pop X
	.dbline 71
;         }
L22:
	.dbline 73
L13:
	.dbline 45
	xjmp L12
X0:
	.dbline -2
	.dbline 74
;                                
;     } 
; }   
L8:
	add SP,-2
	pop X
	.dbline 0 ; func end
	jmp .
	.dbsym l i 1 c
	.dbsym l status 0 c
	.dbend
	.area bss(ram, con, rel)
	.dbfile ./main.c
_RTC_Receive_Buf::
	.blkb 8
	.dbsym e RTC_Receive_Buf _RTC_Receive_Buf A[8:8]c
	.area lit(rom, con, rel)
L24:
	.byte 'F,'a,'i,'l,33,0
L16:
	.byte 58,0
L7:
	.byte 'S,'a,'t,0
L6:
	.byte 'F,'r,'i,0
L5:
	.byte 'T,'h,'r,0
L4:
	.byte 'W,'e,'d,0
L3:
	.byte 'T,'u,'e,0
L2:
	.byte 'M,'o,'n,0
L1:
	.byte 'S,'u,'n,0
