#include <m8c.h>  
#include "PSoCAPI.h"   

char * strPtr;                        // Parameter pointer 

void main()  
{     
    UART_CmdReset();                      // Initialize receiver/cmd    
    UART_IntCntl(UART_ENABLE_RX_INT);     // Enable RX interrupts          
    UART_Start(UART_PARITY_NONE);         // Enable UART  
    M8C_EnableGInt ;                      // Turn on interrupts  
    LCD_Start();
    LCD_PrCString("RX:") ; 
    UART_CPutString("\r\nUART SAMPLE Transistor Gijutsu \r\n");  
      
    while(1) {  
       if(UART_bCmdCheck()) {                    // Wait for command    
          if(strPtr = UART_szGetParam()) {       // More than delimiter?  
             UART_CPutString("Found valid command\r\nCommand =>");    
             UART_PutString(strPtr);             // Print out command   
             UART_CPutString("<\r\nParamaters:\r\n");
             LCD_Position(0,3);
             LCD_PrCString("            ");
             LCD_Position(0,3);
             LCD_PrString(strPtr);    
             while(strPtr = UART_szGetParam()) { // loop on each parameter    
                UART_CPutString("   <");    
                UART_PutString(strPtr);          // Print each parameter    
                UART_CPutString(">\r\n"); 
                LCD_Init();
             	LCD_Position(0,3);
             	LCD_PrString(strPtr);    
             }   
          }   
       UART_CmdReset();                          // Reset command buffer    
       }   
   }  
}  
