//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

BYTE abMouseData[3] = {0,0,0};
BYTE MUXS[3] = {0x02,0x01,0x00};
unsigned char adcdata[3];
unsigned int i; 
char offset_p = 0x0F;
char offset_m = 0xF0;
void main()  
{  
	M8C_EnableGInt;                    
	USBFS_Start(0, USB_3V_OPERATION);  
	while(!USBFS_bGetConfiguration()); 
	USBFS_LoadInEP(1, abMouseData, 3, USB_NO_TOGGLE);
	PGA_Start(0x02);
	ADCINC_Start(0x02);
	while(1)  
	{
		for(i=0;i<3;i++)
		{	
			AMUX4_InputSelect(MUXS[i]);
			while(ADCINC_fIsDataAvailable() == 0);   
      		adcdata[i] = ADCINC_cClearFlagGetData(); 
		}

		  if(adcdata[0] > offset_p && adcdata[0] < 0x7F)
      {
          abMouseData[1] = 0x05;
      }
      else if(adcdata[0] < offset_m && adcdata[0] > 0x81)
      {
          abMouseData[1] = 0xFA;
      }
      else
      {
          abMouseData[1] = 0x05;
      }
      if(adcdata[1] > offset_p && adcdata[1] < 0x7F)
      {
          abMouseData[2] = 0xFA;
      }
      else if(adcdata[1] < offset_m && adcdata[1] > 0x81)
      {
          abMouseData[2] = 0x05;
      }
      else
      {
          abMouseData[2] = 0x05;
      }  
	  while(!USBFS_bGetEPAckState(1));  
	  
      USBFS_LoadInEP(1, abMouseData, 3, USB_TOGGLE);
	
	}  
}  