//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

unsigned char MUXS[3] = {0x02,0x01,0x00};
unsigned int  adcdata[3] = {0,0,0};
unsigned char i;
void main()
{
	M8C_EnableGInt;
    PGA_Start(0x02);
	ADCINC_Start(0x02);
	USBUART_Start(USBUART_3V_OPERATION);
	while(!USBUART_Init());  
    while(1)  
    {
		for(i=0;i<3;i++)
		{
			AMUX4_InputSelect(MUXS[i]);
			ADCINC_GetSamples(1);
			while(ADCINC_fIsDataAvailable() == 0);
			adcdata[i] = ADCINC_wClearFlagGetData(); 
			while (!USBUART_bTxIsReady());  
        	USBUART_PutSHexInt(adcdata[i]);
			while (!USBUART_bTxIsReady());  
        	USBUART_CPutString(","); 
    	}
		while (!USBUART_bTxIsReady());  
    	USBUART_PutCRLF();
	}
}
